org.eclipse.viatra.addon.viewers.runtime.specifications

## Class EdgeQuerySpecificationDescriptor

- java.lang.Object
- - org.eclipse.viatra.transformation.views.traceablilty.generic.AbstractQuerySpecificationDescriptor
  - - org.eclipse.viatra.addon.viewers.runtime.specifications.EdgeQuerySpecificationDescriptor

-     public class EdgeQuerySpecificationDescriptor
      extends AbstractQuerySpecificationDescriptor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANNOTATION_ID`

    - ### Fields inherited from class org.eclipse.viatra.transformation.views.traceablilty.generic.AbstractQuerySpecificationDescriptor

      `tracedSpecification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeQuerySpecificationDescriptor(IQuerySpecification<?> specification, PAnnotation annotation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAnnotation` | `getFormatAnnotation()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getSource()`
    `java.lang.String` | `getTarget()`
    `boolean` | `isFormatted()`

    - ### Methods inherited from class org.eclipse.viatra.transformation.views.traceablilty.generic.AbstractQuerySpecificationDescriptor

      `getTracedSpecification, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_ID

          public static final java.lang.String ANNOTATION_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EdgeQuerySpecificationDescriptor

          public EdgeQuerySpecificationDescriptor(IQuerySpecification<?> specification,
                                                  PAnnotation annotation)
                                           throws QueryInitializationException

      Throws:
        `QueryInitializationException`

  - ### Method Detail

    - #### isFormatted

          public boolean isFormatted()

    - #### getFormatAnnotation

          public PAnnotation getFormatAnnotation()

    - #### getSource

          public java.lang.String getSource()

    - #### getTarget

          public java.lang.String getTarget()

    - #### getLabel

          public java.lang.String getLabel()